MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027944Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-09 21:562016-12-09 16:38
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027944: Visualization, V3d_View - filter duplicates within ::AddClipPlane()
DescriptionIt will be more safe if V3d_View::AddClipPlane() method will filter out duplicates within the clipping plane list. For instance, current implementation vclipplane relies on this method and erroneously adds the same plane several times by each call -set.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0027816closedbugmaster Visualization - provide an API for overriding clipping planes list 

-  Notes
(0058509)
git (administrator)
2016-10-09 22:00

Branch CR27944 has been created by kgv.

SHA-1: 06fdf63c6c634031d6dc143273f6ea20b1a09f20


Detailed log of new commits:

Author: kgv
Date: Sun Oct 9 21:59:58 2016 +0300

    0027944: Visualization, V3d_View - filter duplicates within ::AddClipPlane()
(0058510)
kgv (developer)
2016-10-09 22:00

Please test the patch.
(0058572)
mkv (tester)
2016-10-11 14:21

Dear BugMaster,
Branch CR27944 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 06fdf63c6c634031d6dc143273f6ea20b1a09f20

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1152

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91081198 / 91117357 [-0.04%]
Total CPU difference: 19332.129999999845 / 19439.92000000002 [-0.55%]
products component :
Total MEMORY difference: 30025031 / 30002075 [+0.08%]
Total CPU difference: 5199.989999999963 / 5237.849999999958 [-0.72%]

Testing on Windows:
occt component :
Total MEMORY difference: 57231086 / 57241724 [-0.02%]
Total CPU difference: 19080.903512698627 / 18173.586096598698 [+4.99%]
products component :
Total MEMORY difference: 21277648 / 21241374 [+0.17%]
Total CPU difference: 5451.954148199984 / 5052.513587699945 [+7.91%]

There are no differences in images found by testdiff.
(0058573)
mkv (tester)
2016-10-11 14:21

Dear BugMaster,
Branch CR27944 is TESTED.
(0059468)
git (administrator)
2016-10-28 21:42

Branch CR27944 has been deleted by kgv.

SHA-1: 06fdf63c6c634031d6dc143273f6ea20b1a09f20

- Related Changesets
occt: master b88b0cf7
Timestamp: 2016-10-09 18:59:58
Author: kgv
Committer: apn
Details ] Diff ]
0027944: Visualization, V3d_View - filter duplicates within ::AddClipPlane()
mod - src/V3d/V3d_View_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-09 21:56 kgv New Issue
2016-10-09 21:56 kgv Assigned To => kgv
2016-10-09 22:00 git Note Added: 0058509
2016-10-09 22:00 kgv Note Added: 0058510
2016-10-09 22:00 kgv Assigned To kgv => bugmaster
2016-10-09 22:00 kgv Severity minor => trivial
2016-10-09 22:00 kgv Status new => resolved
2016-10-09 22:00 kgv Status resolved => reviewed
2016-10-09 22:00 kgv Relationship added child of 0027816
2016-10-10 13:19 mkv Assigned To bugmaster => mkv
2016-10-11 14:21 mkv Note Added: 0058572
2016-10-11 14:21 mkv Note Added: 0058573
2016-10-11 14:21 mkv Assigned To mkv => bugmaster
2016-10-11 14:21 mkv Status reviewed => tested
2016-10-11 14:21 mkv Test case number => Not needed
2016-10-20 15:13 apn Changeset attached => occt master b88b0cf7
2016-10-20 15:13 apn Assigned To bugmaster => apn
2016-10-20 15:13 apn Status tested => verified
2016-10-20 15:13 apn Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059468
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker